All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Class LogicalServerFilter

    com.sas.services.information.metadata.LogicalServerFilter

All Implemented Interfaces:
  FilterInterface, java.io.Serializable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class LogicalServerFilter

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.Filter
`_component`

Fields inherited from interface com.sas.services.information.FilterInterface
`BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

Constructor Summary
`LogicalServerFilter()`
`LogicalServerFilter(java.lang.String key, int relation, java.lang.String value)`

Method Summary
`java.lang.String` | `getOMRType()` Get the OMR type.

Methods inherited from class com.sas.services.information.Filter
`addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVBasicSearchString, getDAVScope, getDAVSQLString, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXMLSelectString, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

Constructor Detail

### LogicalServerFilter

    public LogicalServerFilter()

### LogicalServerFilter

    public LogicalServerFilter(java.lang.String key,
                               int relation,
                               java.lang.String value)

Method Detail

### getOMRType

    public java.lang.String getOMRType()

  Description copied from class: `Filter`
  Get the OMR type. Return the type by default. subclasses may override this to return a different string. This method is mostly for use by the OMIRepository class.

  Specified by:
    `getOMRType` in interface `FilterInterface`
  Overrides:
    `getOMRType` in class `Filter`
  Returns:
    The OMR specific type to search for.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.